import { Construct } from "constructs";
import { ARecord, IAliasRecordTarget, IHostedZone } from "aws-cdk-lib/aws-route53";
export interface WeightedLatencyRecordProps {
    /**
     * Route53 zone to host the created records.
     */
    zone: IHostedZone;
    /**
     * Name of the record.
     */
    recordName: string;
    /**
     * Value to use as a prefix on the latency route53 record.
     *
     * @default lbr
     */
    latencyRecordPrefix?: string;
    /**
     * The target of the record
     */
    recordTarget: IAliasRecordTarget;
    /**
     * Initial weight of the record.
     *
     * @default 0
     */
    initialWeight?: number;
}
export declare class WeightedLatencyRecord extends Construct {
    readonly latencyRecord: ARecord;
    readonly weightedRecord: ARecord;
    constructor(scope: Construct, id: string, props: WeightedLatencyRecordProps);
}
